BANK KALTENG - Support #1062

Penyesuaian Tampilan Dashboard
04/18/2022 11:11 AM - Mega Yunita

Status: Closed Start date: 04/18/2022
Priority: Urgent Due date: 04/22/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.00 hour
Description

Dear Mas Wanto,

Mohon bantuannya untuk melakukan penyesuaian pada dashboard di aplikasi Bank Kalteng yang berada di cloudnya. Untuk
penyesuaian dapat dilihat pada file attachment yang saya cantumkan.

Port : http://103.168.134.28:31130/
Server : 103.168.134.119

DB : MinovaES_BankKalteng_Dev
Menu : Home

Semoga dapat dimengerti

Terimakasih
History

#1 - 04/19/2022 02:51 PM - Kezia Pawitra Yulianti

- Status changed from New to Assigned

#2 - 04/25/2022 10:54 AM - Saswanto Tampan
- Status changed from Assigned to QA Test

- Assignee changed from Saswanto Tampan to Mega Yunita

update file
...\Views\Home\Index.aspx

seting dbo PCMWFCUSTPARAM tambahkan :

GETDASHBOARDDATA NULL NULL NULL NULL NULL NULL DECLARE @tabledata AS TABLE ( empactive VARCHAR , emphiring
VARCHAR , empterminate VARCHAR , turnover VARCHAR, Completed VARCHAR, NotCompleted VARCHAR, ManagerCompleted VARCHAR,
ManagerNotCompleted VARCHAR, PartnerCompleted VARCHAR, PartnerNotCompleted VARCHAR ) INSERT INTO @tabledata SELECT
CONVERT , CONVERT , CONVERT , CONVERT, CONVERT, CONVERT, CONVERT, CONVERT, CONVERT, CONVERT UPDATE @tabledata
SET empactive = a.empactive FROM ( SELECT DISTINCT COUNT AS empactive FROM  dbo.PHRPA0002 PAO2 WHERE

EmployeeStatus = '01' AND PAO2.EndDate >= CONVERT, 112) AND PAO2.StartDate <= CONVERT, 112) ) a UPDATE @tabledata SET
emphiring = a.emphiring FROM ( SELECT COUNT AS emphiring FROM  dbo.PHRPA0002 WHERE  MovementType ='01' AND ( StartDate
BETWEEN CONVERT, YEAR)) +'0101' AND CONVERT, 112) ) ) a UPDATE @tabledata SET empterminate = a.empterminate FROM (
SELECT COUNT AS empterminate FROM  dbo.PHRPA0002 WHERE EmployeeStatus = '03' AND ( StartDate BETWEEN CONVERT, YEAR))
+'0101" AND CONVERT, 112) ) ) a DECLARE @empterminate DECIMAL SET @empterminate = (SELECT COUNT AS empterminate FROM
dbo.PHRPA0002 WHERE  EmployeeStatus = '03' AND ( StartDate BETWEEN CONVERT, YEAR)) + '0101' AND CONVERT, 112) ) ) DECLARE
@empactive DECIMAL SET @empactive = (SELECT COUNT AS empactive FROM  dbo.PHRPA0002 WHERE EmployeeStatus = '01' AND
EndDate >= CONVERT, 112) AND StartDate <= CONVERT, 112) ) UPDATE @tabledata SET turnover = a.turnover FROM ( SELECT
CONVERT, ( @empterminate / @empactive ) * 100) AS turnover ) a UPDATE @tabledata set Completed = a.Completed FROMAS Completed
FROM dbo.PCMWFRUNTASK WHERE Bizflow|D="MD_PMS_REVIEW' AND TaskID IN (‘create') AND TaskStatus='C')a UPDATE @tabledata SET
NotCompleted = a.NotCompleted FROMAS NotCompleted FROM dbo.PCMWFRUNTASK WHERE BizflowID='"MD_PMS_REVIEW' AND TaskID IN
(‘create’) AND TaskStatus="W')a UPDATE @tabledata set ManagerCompleted = a.Completed FROMAS Completed FROM dbo.PCMWFRUNTASK
WHERE BizflowID="MD_PMS_REVIEW' AND TaskID IN (‘create_by_manager') AND TaskStatus='C')a UPDATE @tabledata SET
ManagerNotCompleted = a.NotCompleted FROMAS NotCompleted FROM dbo.PCMWFRUNTASK WHERE BizflowID="MD_PMS_REVIEW' AND
TaskID IN (‘create_by_manager') AND TaskStatus="W')a UPDATE @tabledata set PartnerCompleted = a.Completed FROMAS Completed FROM
dbo.PCMWFRUNTASK WHERE BizflowI|D="MD_PMS_REVIEW' AND TaskID IN (‘apv_partner','apv_partner2')AND TaskStatus='C')a UPDATE
@tabledata SET  PartnerNotCompleted = a.NotCompleted FROMAS NotCompleted FROM dbo.PCMWFRUNTASK WHERE
BizflowID='"MD_PMS_REVIEW' AND TaskID IN (‘apv_partner','apv_partner2')AND TaskStatus='"W')a SELECT * from @tabledata sqlstring
NULL

#3 - 04/25/2022 01:26 PM - Mega Yunita
- Status changed from QA Test to Closed

done mas Wanto, terimakasiihh
Files

clipboard-202204181107-ca0zv.png 92.7 KB 04/18/2022 Mega Yunita
clipboard-202204181110-dhkyt.png 90 KB 04/18/2022 Mega Yunita
